/**** LIFTER GENERAL STYLES ****/

/* page-id-137 = dashboard */
body.post-type-archive-course,
body.single-course,
body.page-id-137 {
    max-width: 1400px;
    margin-left: auto;
    margin-right: auto;

    article {
        padding-top: var(--gap-3x);
        padding-bottom: var(--gap-3x);
        padding-left: 50px;
        padding-right: 50px;

        .llms-sd-nav {

            .my-grades,
            .view-memberships,
            .view-achievements,
            .view-certificates,
            .view-favorites,
            .notifications,
            .redeem-voucher,
            .orders {
                display: none !important;
            }
        }

        section.llms-my-achievements,
        section.llms-my-certificates,
        section.llms-my-memberships {
            display: none !important;
        }

        .llms-field-html {
            text-decoration: underline;
        }

        footer.llms-sd-section-footer {
            text-align: center;
        }
        
        .llms-button-secondary,
        button {
            background: linear-gradient(0deg, rgba(205, 167, 60, 1) 0%, rgba(239, 213, 90, 1) 40%, rgba(187, 135, 33, 1) 100%) !important;
            padding: 16px 32px;
            border-radius: 99px;
            font-weight: 400;
            transition: all 0.5s;
            color: var(--bricks-color-ikshxl);
            

            &:hover {
                box-shadow: 0 0 20px rgba(255, 255, 255, 0.6), 0 0 40px rgba(255, 255, 255, 0.4);
                transform: translateY(-2px);
                color: var(--bricks-color-ikshxl);
            }

        }

        table {
            border-collapse: separate;
            border-spacing: 0;
            width: 100%;
            border: 1px solid var(--bricks-color-vnjgsm);
            border-radius: var(--gap-20);

            tr {
                background-color: transparent;
            }

            td {
                background-color: transparent;
            }

            /* Levý horní roh */
            tr:first-child td:first-child {
                border-top-left-radius: 10px;
            }

            /* Pravý horní roh */
            tr:first-child td:last-child {
                border-top-right-radius: 10px;
            }

            /* Levý spodní roh */
            tr:last-child td:first-child {
                border-bottom-left-radius: 10px;
            }

            /* Pravý spodní roh */
            tr:last-child td:last-child {
                border-bottom-right-radius: 10px;
            }
        }

        label {
            color: var(--bricks-color-vnjgsm);
        }

        /* forms */
        .llms-form-field [type=text],
        .llms-form-field [type=password],
        .llms-form-field [type=email],
        .llms-form-field [type=url],
        .llms-form-field [type=tel],
        .llms-form-field [type=number] {
            background-color: var(--bricks-color-vnjgsm);
            color: var(--bricks-color-ikshxl);
            border-radius: var(--gap-20);
        }

        #llms-voucher-code::placeholder {
            color: var(--bricks-color-vnjgsm);
        }

        select,
        .select2-container {
            background-color: var(--bricks-color-vnjgsm);
            color: var(--bricks-color-ikshxl);
            margin-bottom: var(--gap-standard) !important;
            border-radius: var(--gap-20);
            padding-right: 30px;
        }

        .select2-container {
            padding: 8px 16px;
        }

        .llms-sd-notification-center {
            background-color: transparent;
            border-radius: var(--gap-20);

            .llms-notification {
                background-color: var(--bricks-color-vnjgsm);
                color: var(--bricks-color-ikshxl);
            }
        }
    }

    h1 {
        color: var(--bricks-color-vnjgsm);
        font-weight: 400;
        font-size: clamp(3rem, 2.7273rem + 1.0909vw, 3.6rem);
        margin-bottom: var(--gap-2x);
        text-align: center;
    }
}

@media (max-width: 768px) {

    body.post-type-archive-course,
    body.single-course,
    body.page-id-137 {
        article {
            padding-top: var(--gap-standard);
            padding-bottom: var(--gap-standard);
            padding-left: 20px;
            padding-right: 20px;
        }

        h1 {
            font-size: clamp(1.5rem, 1.3636rem + 0.5455vw, 1.8rem);
        }

    }
}

@media (max-width: 468px) {

    body.post-type-archive-course,
    body.single-course,
    body.page-id-137 {
        article {
            padding-left: 10px;
            padding-right: 10px;
        }
    }
}

/**** COURSE CATALOG ****/
/**** DASHBOARD COURSES LIST ****/
body.post-type-archive-course,
body.page-id-137 {

    #content {
        padding-top: var(--gap-3x);
        padding-bottom: var(--gap-3x);
        /*
        padding-left: var(--gap-2x);
        padding-right: var(--gap-2x);
        */
    }

    .llms-course-list:before {
        display: none;
    }

    .llms-course-list {
        margin: 0;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: auto;
        column-gap: var(--gap-standard);
        row-gap: var(--gap-standard);

        .llms-loop-item {
            border-color: var(--bricks-color-vnjgsm);
            border-radius: var(--gap-20);
            overflow: hidden;
        }

        .llms-loop-item-content {
            background-color: var(--bricks-color-vnjgsm);
            color: var(--bricks-color-ikshxl);
            border-radius: 0;
            border: none;
            margin: 0;
            box-shadow: 2px 2px 15px 0px rgb(0, 0, 0, 0.2);

            .llms-loop-item-footer {
                display: none;
            }
        }

        .llms-course-list.cols-3 .llms-loop-item {
            width: 100%;
        }

        .llms-loop-item-content h4.llms-loop-title,
        .llms-loop-item-content .llms-meta,
        .llms-loop-item-content .llms-author {
            color: var(--bricks-color-ikshxl);
        }

        .llms-loop-item-content h4.llms-loop-title:hover {
            color: var(--bricks-color-ikshxl);
        }

        .llms-progress {
            .progress-bar-complete {
                background-color: #008900;
            }
        }

    }

}

@media (max-width: 768px) {

    body.page-id-137,
    body.post-type-archive-course {
        #content {
            padding-top: var(--gap-standard);
            padding-bottom: var(--gap-standard);
            /*
            padding-left: var(--gap-standard);
            padding-right: var(--gap-standard);
            */
        }

        .llms-course-list {
            grid-template-columns: 1fr 1fr;
        }

    }
}

@media (max-width: 468px) {

    body.page-id-137,
    body.post-type-archive-course {
        .llms-course-list {
            grid-template-columns: 1fr;
        }
    }
}

/*
.llms-loop-item-content {
    background-color: #fffbc9;
    color: #015469;
    border-radius: 0;
    border: none;
    margin: 0;
    box-shadow: 2px 2px 15px 0px rgb(0, 0, 0, 0.2);
}

.llms-course-list.cols-3 .llms-loop-item {
    width: 100%;
}

.llms-loop-item-content h4.llms-loop-title,
.llms-loop-item-content .llms-meta,
.llms-loop-item-content .llms-author {
    color: #015469;
}

.llms-loop-item-content h4.llms-loop-title:hover {
    color: #015469;
}
*/
/*
.llms-loop-item-content .llms-author {
  display: none;
}
*/




/*** COURSE SINGLE PAGE ***/

/*** LESSONS LIST LAYOUT ***/
body.single-course {
    main {
        p {
            font-size: 150% !important;
            line-height: 1.5 !important;
        }
    }

    .llms-access-plan {
        margin-bottom: var(--gap-3x);

        .llms-access-plan-content {
            background-color: transparent;

            h4.llms-access-plan-title {
                background-color: transparent;
                color: var(--bricks-color-vnjgsm)
            }

            .llms-access-plan-price,
            .llms-access-plan-price * {
                color: var(--bricks-color-vnjgsm);
                font-weight: 600;
            }
        }

        .llms-access-plan-footer {
            background-color: transparent;
            border: none;

            .llms-button-action {
                background: linear-gradient(0deg, rgba(205, 167, 60, 1) 0%, rgba(239, 213, 90, 1) 40%, rgba(187, 135, 33, 1) 100%) !important;
                padding: 16px 32px;
                border-radius: 99px;
                font-weight: 400;
                transition: all 0.5s;
                color: var(--bricks-color-ikshxl);

                &:hover {
                    box-shadow: 0 0 20px rgba(255, 255, 255, 0.6), 0 0 40px rgba(255, 255, 255, 0.4);
                    transform: translateY(-2px);
                    color: var(--bricks-color-ikshxl);
                }
            }
        }
    }


    .llms-syllabus-wrapper {
        display: grid;
        /*grid-template-columns: repeat(3, 1fr);*/
        grid-template-columns: repeat(4, 1fr);
        gap: 24px;

        &>h3.llms-section-title {
            grid-column: 1 / -1;
            text-align: center;
            font-family: 'DancingScript';
        }

        .llms-lesson-preview {
            border-radius: var(--gap-20);
            border: 1px solid var(--bricks-color-vnjgsm);
            overflow: hidden;

            section {
                background-color: var(--bricks-color-vnjgsm);
                background-image: url("https://andreakhadijah.com/wp-content/uploads/2025/04/abstrack-background-gold.png");
                height: 100%;
            }

            & * {
                color: var(--bricks-color-ikshxl);
            }
        }

        .llms-lesson-preview.is-complete {
            border: 1px solid var(--bricks-color-vnjgsm);
            overflow: hidden;

            section {
                background-color: var(--bricks-color-bzgvym);
                background-image: none;
                height: 100%;
            }

            & * {
                color: var(--bricks-color-vnjgsm);
            }
        }

        .llms-lesson-link {
            display: flex;
            flex-direction: row;
            gap: var(--gap-standard);

            .llms-lesson-thumbnail {

                img {
                    width: auto;
                    max-width: 300px;
                    height: 120px;
                    object-fit: contain;
                    border-radius: var(--gap-20);
                }
            }

            .llms-lesson-preview-row {
                display: flex;
                flex-direction: column;
                width: 100%;

                .llms-main {
                    order: 1;

                    .llms-lesson-title {
                        font-family: inherit;
                        font-weight: 600;
                        font-size: clamp(1.125rem, 1.0227rem + 0.4091vw, 1.35rem);
                        line-height: 1.2
                    }
                }

                .llms-extra {
                    order: 2;
                }
            }
        }

        /** jen okénka **/
        .llms-lesson-preview-row,
        .llms-lesson-preview-row *,
        .llms-lesson-meta,
        .llms-tooltip {
            display: none !important;
        }

        .llms-lesson-link {
            aspect-ratio: 1 !important;
            padding: 0;

            .llms-lesson-thumbnail {
                width: 100% !important;
                height: 100% !important;
                /*aspect-ratio: 1 !important;*/
                margin: 0 !important;
                background-color: black;

                img {
                    width: 100% !important;
                    height: 100% !important;
                    /*object-fit: cover !important;*/
                    border-radius: 0 !important;
                    max-width: 100% !important;
                    padding: var(--gap-standard);
                }
            }
        }

    }
}

@media (max-width: 1000px) {
    body.single-course {
        .llms-syllabus-wrapper {
            grid-template-columns: repeat(3, 1fr);

            .llms-lesson-link {
                flex-direction: column;

                .llms-lesson-thumbnail {

                    img {
                        width: 100%;
                        max-width: 100%;
                        height: auto;
                        object-fit: contain;
                    }
                }
            }
        }
    }
}

@media (max-width: 768px) {
    body.single-course {
        .llms-syllabus-wrapper {
            grid-template-columns: repeat(2, 1fr);
        }
    }
}

@media (max-width: 468px) {
    body.single-course {
        .llms-syllabus-wrapper {
            grid-template-columns: 1fr;
        }
    }
}

/*** COMMENTS FORM ***/
body.single-course {
    #old_reviews {
        max-width: 50vw;
        margin-left: auto;
        margin-right: auto;
        margin-top: var(--gap-3x);
        margin-bottom: var(--gap-3x);

        h3 {
            font-size: clamp(1.875rem, 1.7045rem + 0.6818vw, 2.25rem);
        }

        .llms_review {
            background-color: transparent;
            border: 1px solid var(--bricks-color-vnjgsm);
            border-radius: var(--gap-20);
            padding: 10px;
            color: var(--bricks-color-vnjgsm);
            display: flex;
            flex-direction: column;
            gap: var(--gap-05x);

            .llms_review_name {
                font-size: 0.8em;
            }
        }

        hr {
            display: none;
        }
    }

    .review_box {
        max-width: 50vw;
        margin-left: auto;
        margin-right: auto;

        h3 {
            font-size: clamp(1.875rem, 1.7045rem + 0.6818vw, 2.25rem);
        }

        input[name="review_title"],
        textarea[name="review_text"] {
            border-radius: var(--gap-20);
            color: var(--bricks-color-ikshxl);
        }

        input.button {
            margin-top: var(--gap-20);
            color: var(--bricks-color-ikshxl);
            background: linear-gradient(0deg, rgba(205, 167, 60, 1) 0%, rgba(239, 213, 90, 1) 40%, rgba(187, 135, 33, 1) 100%) !important;
            padding: 16px 32px;
            border-radius: 99px;
            font-weight: 400;
            transition: all 0.5s;

            &:hover {
                box-shadow: 0 0 20px rgba(255, 255, 255, 0.6), 0 0 40px rgba(255, 255, 255, 0.4);
                transform: translateY(-2px);
            }
        }
    }

}

@media (max-width: 768px) {
    body.single-course {
        #old_reviews {
            max-width: 100vw;
            margin-top: var(--gap-standard);
            margin-bottom: var(--gap-standard);
        }

        .review_box {
            max-width: 100vw;
        }
    }
}


/*** LESSON SINGLE PAGE ***/

body.single-lesson {
    /*
    max-width: 1300px;
    margin-left: auto;
    margin-right: auto;
    padding-top: var(--gap-3x);
    padding-bottom: var(--gap-3x);
    color: var(--bricks-color-ikshxl);
    */
    font-weight: 200;

    strong {
        font-weight: 600;
    }

    h1 {
        font-size: clamp(2.25rem, 2.0455rem + 0.8182vw, 2.7rem);
        line-height: 1.2;
        margin-bottom: var(--gap-2x);
        text-align: center;
    }

    .llms-lesson-content {
        margin-bottom: var(--gap-3x);

        p {
            font-weight: 200 !important;

            strong {
                font-weight: 600 !important;
            }
        }
    }

    .llms-parent-course-link {
        a {
            color: var(--bricks-color-vnjgsm);
        }
    }

    .llms-favorite-wrapper {
        display: none;
    }

    .llms-course-navigation {
        display: none;

        .llms-prev-lesson,
        .llms-next-lesson,
        .llms-back-to-course {
            border-radius: var(--gap-20);
            overflow: hidden;
            border: 1px solid var(--bricks-color-vnjgsm);
            color: var(--bricks-color-vnjgsm);
            transition: all 0.3s;
            text-decoration: none;

            * {
                color: var(--bricks-color-vnjgsm);
            }

            &:hover {
                background-color: var(--bricks-color-vnjgsm);
                color: var(--bricks-color-ikshxl);
                text-decoration: none;

                * {
                    color: var(--bricks-color-ikshxl);
                }
            }

            .llms-lesson-preview {
                border: 0;

                section {
                    background-color: transparent;
                }
            }

        }
    }


    .llms-lesson-button-wrapper {

        /*
        display: block;
        background-color: var(--bricks-color-yjfzcl);
        padding: var(--gap-05x);
        border-radius: var(--gap-20);
        */
        button {
            color: var(--bricks-color-ikshxl);
            background: linear-gradient(0deg, rgba(205, 167, 60, 1) 0%, rgba(239, 213, 90, 1) 40%, rgba(187, 135, 33, 1) 100%) !important;
            padding: 16px 32px;
            border-radius: 99px;
            font-weight: 400;
            transition: all 0.5s;
            border: none;
            cursor: pointer;

            &:hover {
                box-shadow: 0 0 20px rgba(255, 255, 255, 0.6), 0 0 40px rgba(255, 255, 255, 0.4);
                transform: translateY(-2px);
            }
        }
    }
}

/*** OTHER LIFTER PAGES ***/
article .lifterlms {
    color: var(--bricks-color-vnjgsm);
}



/*** Sell page of COURSE Rise To Success ***/
body.page-id-4386 {
    background-image: url('https://andreakhadijah.com/wp-content/uploads/2025/10/ChatGPT-Image-14.-10.-2025-10_39_27.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
}

/*** COURSE Rise To Success ***/
body.postid-840 {
    .llms-button-primary {
        background: linear-gradient(0deg, rgba(205, 167, 60, 1) 0%, rgba(239, 213, 90, 1) 40%, rgba(187, 135, 33, 1) 100%) !important;
        padding: 16px 32px;
        border-radius: 99px;
        font-weight: 400;
        transition: all 0.5s;
        color: var(--bricks-color-ikshxl);

        &:hover {
            box-shadow: 0 0 20px rgba(255, 255, 255, 0.6), 0 0 40px rgba(255, 255, 255, 0.4);
            transform: translateY(-2px);
            color: var(--bricks-color-ikshxl);
        }
    }

    .llms-lesson-preview-row .screen-reader-text {
        display: none !important;
    }

    div.llms-lesson-link {
        img {
            filter: grayscale(100%);
        }
    }

    .llms-progress {
        .progress-bar-complete {
            background-color: #008900;
        }
    }
}